## dwdiff 1.4

=== po/Makefile ===
# Copyright (C) 2006-2007 G.P. Halkes
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
.POSIX:

.PHONY: linguas lingua-install

.SUFFIXES: .mo .po

LINGUAOBJECTS=$(LINGUAS:=.mo)

linguas: $(LINGUAOBJECTS)

.po.mo:
	msgfmt -o $@ $<

lingua-install: $(LINGUAOBJECTS)
	for lingua in $(LINGUAS) ; do \
		if [ ! -f "$${lingua}.mo" ] ; then continue ; fi ;\
		$(INSTALL) -d "$(LOCALEDIR)/$${lingua}/LC_MESSAGES" ;\
		$(INSTALL) -m 644 "$${lingua}.mo" "$(LOCALEDIR)/$${lingua}/LC_MESSAGES/dwdiff.mo" ;\
	done

## dwdiff 2.0.2

=== debian/changelog ===
dwdiff (2.0.2-1build1) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 16:04:43 +0000

dwdiff (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Use DESTDIR facility (debian/rules).
  * Upstream Makefile installs README, no need to do it here (debian/docs).

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 28 Oct 2011 16:44:20 +0100

dwdiff (2.0-1) unstable; urgency=low

  * Upgrade debian packaging to dh 8.
  * Fix tiny typo in debian/copyright.
  * Remove autotools-dev dependency.
  * Switch to source format 3.0 (quilt) with single-debian-patch option.
  * Add man page slash dash quilt patch.
  * Migrate upstream install script tweaks into quilt patches.
  * Rework upstream install script tweaks as commands in debian/rules.
  * Address lintian "(c)" vs "Copyright (c)" warning in debian/copyright.
  * New upstream release.
    - Update description.
    - Tweak debian/rules to force installation of all linguas.
  * Hi Jack!  Maintainer swizzled; listing old maintainer as co-maint.
  * Expose packaging git repo in debian/control vcs-* field.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Oct 2011 22:30:15 +0100

dwdiff (1.9-0.1) unstable; urgency=low

  * NMU
  * New upstream release.  closes: #612771.
  * Change dh_clean -k to dh_prep.
  * Add a watch file.

 -- Clint Adams <clint@debian.org>  Thu, 10 Feb 2011 10:12:00 -0500

dwdiff (1.8.2-0.1) unstable; urgency=low

  * NMU
  * New upstream release.  closes: #602844.
    - fixes mishandling of UTF-8 with dwdiff -p.  closes: #574931.
    - fixes man page typos.  closes: #504540.
    - no longer segfaults when second argument is stdin.
      closes: #603745.
  * Patch from Charlie Smotherman to fix typos in short description.
    closes: #503666.
  * Bump to Standards-Version 3.9.1.

 -- Clint Adams <clint@gnu.org>  Tue, 16 Nov 2010 20:25:03 -0500

dwdiff (1.4-1) unstable; urgency=low

  * Initial release (Closes: #498270)

 -- Olexandr Kravchuk <sashko.debian@gmail.com>  Sat, 06 Sep 2008 20:34:47 +0300

=== debian/control ===
Source: dwdiff
Section: utils
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Olexandr Kravchuk <sashko.debian@gmail.com>
Build-Depends: debhelper (>= 8), libicu-dev
Standards-Version: 3.9.2
Homepage: http://os.ghalkes.nl/dwdiff.html
Vcs-Git: git://git.debian.org/collab-maint/dwdiff.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dwdiff.git;a=summary

Package: dwdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: diff program that operates word by word
 dwdiff is a diff program that operates at the word level
 instead of the line level. It is different from wdiff in that it allows the
 user to specify what should be considered whitespace, and in that it takes an
 optional list of characters that should be considered delimiters. Delimiters
 are single characters that are treated as if they are words, even when there
 is no whitespace separating them from preceding words or delimiters. dwdiff
 is mostly commandline compatible with wdiff. Only the --autopager, --terminal
 and --avoid-wraps options are not supported.
 .
 The default output from dwdiff is the new text, with the deleted and inserted
 parts annotated with markers. Command line options are available to change
 both what is printed, and the markers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

# Use LINGUAS to force installation of all available linguas.

LINGUAS=$(shell ls po | egrep '[.]po$$' | sed 's/.po//' | tr '\n' ' ')

# squelch unknown flags passed to ./configure by dh_auto_configure
#  ./configure: --build=x86_64-linux-gnu --prefix=/usr
#    --includedir='$${prefix}/include' --mandir='$${prefix}/share/man'
#    --infodir='$${prefix}/share/info' --sysconfdir=/etc
#    --localstatedir=/var --libexecdir='$${prefix}/lib/dwdiff'
#    --disable-maintainer-mode --disable-dependency-tracking

override_dh_auto_configure:
	./configure --prefix=/usr --mandir='$${prefix}/share/man'

override_dh_auto_build:
	dh_auto_build -- LINGUAS="$(LINGUAS)"

# Work around Makefile installing Changelog and COPYING into docdir.
# Work around Makefile installing unneeded *.UTF-8 directories

override_dh_auto_install:
	dh_auto_install -- LINGUAS="$(LINGUAS)" docdir='$$(prefix)/share/doc/dwdiff'
	-rm --verbose debian/dwdiff/usr/share/doc/dwdiff/Changelog
	-rm --verbose debian/dwdiff/usr/share/doc/dwdiff/COPYING
	-rm --verbose -r debian/dwdiff/usr/share/man/*.UTF-8

## dwdiff 2.0.4

=== debian/changelog ===
dwdiff (2.0.4-1) unstable; urgency=low

  * New upstream version (closes: #676436)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Jun 2012 15:09:10 +0100

dwdiff (2.0.3-2) unstable; urgency=low

  * pass fortification options despite build system ignoring CPPFLAGS

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 07 Jun 2012 10:46:15 +0100

dwdiff (2.0.3-1) unstable; urgency=low

  * New upstream release
    - remove quilt man slash dash hash patch, integrated upstream
  * policy 3.7.3 (no changes needed)
  * dh9
  * quilt patch to work around icu-config --ldflags issue (closes: #676046)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Jun 2012 12:47:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Olexandr Kravchuk <sashko.debian@gmail.com>
-Build-Depends: debhelper (>= 8), libicu-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libicu-dev
+Standards-Version: 3.9.3
 Homepage: http://os.ghalkes.nl/dwdiff.html
-Vcs-Git: git://git.debian.org/collab-maint/dwdiff.git
+Vcs-Git: git://git.debian.org/git/collab-maint/dwdiff.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dwdiff.git;a=summary
 
 Package: dwdiff

## dwdiff 2.0.5

=== debian/changelog ===
dwdiff (2.0.5-1) unstable; urgency=low

  * New upstream version
  * Bump debian standards version
  * Canonicalize VCS fields

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Jul 2013 10:37:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Olexandr Kravchuk <sashko.debian@gmail.com>
 Build-Depends: debhelper (>= 9), libicu-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://os.ghalkes.nl/dwdiff.html
-Vcs-Git: git://git.debian.org/git/collab-maint/dwdiff.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dwdiff.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/dwdiff.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dwdiff.git
 
 Package: dwdiff
 Architecture: any

## dwdiff 2.0.7

=== debian/changelog ===
dwdiff (2.0.7-1b1) staging; urgency=low

  * No-change rebuild against ICU 52

 -- Tanglu AutoRebuilder <dak-rebuild@tanglu.org>  Sat, 23 Nov 2013 15:38:33 +0100

dwdiff (2.0.7-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Sep 2013 10:40:39 +0100

## dwdiff 2.0.9

=== debian/changelog ===
dwdiff (2.0.9-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 15 Jan 2014 08:51:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Olexandr Kravchuk <sashko.debian@gmail.com>
 Build-Depends: debhelper (>= 9), libicu-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://os.ghalkes.nl/dwdiff.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/dwdiff.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dwdiff.git

=== debian/watch ===
version=3
http://os.ghalkes.nl/dist/dwdiff-([\d\.]*).tgz

## dwdiff 2.1.0

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2007 G.P. Halkes
+# Copyright (C) 2006-2010 G.P. Halkes
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3, as
 # published by the Free Software Foundation.

=== debian/changelog ===
dwdiff (2.1.0-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:39:39 +0100

dwdiff (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Bump debian standards version, no changes required
  * Remove now-unneeded patch to work around no-longer-present icu-config bug
  * Add quilt patch to correct newly-introduced nroff error in dwdiff(1)
  * Update debian/copyright to silence lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Jun 2015 16:25:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Olexandr Kravchuk <sashko.debian@gmail.com>
 Build-Depends: debhelper (>= 9), libicu-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://os.ghalkes.nl/dwdiff.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/dwdiff.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dwdiff.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Use LINGUAS to force installation of all available linguas.
 
-LINGUAS=$(shell ls po | egrep '[.]po$$' | sed 's/.po//' | tr '\n' ' ')
+LINGUAS=$(shell ls po | egrep '[.]po$$' | sed 's/\.po//' | tr '\n' ' ')
 
 # squelch unknown flags passed to ./configure by dh_auto_configure
 #  ./configure: --build=x86_64-linux-gnu --prefix=/usr
@@ -16,6 +16,13 @@
 #    --infodir='$${prefix}/share/info' --sysconfdir=/etc
 #    --localstatedir=/var --libexecdir='$${prefix}/lib/dwdiff'
 #    --disable-maintainer-mode --disable-dependency-tracking
+
+# Glom CPPFLAGS onto CFLAGS because this deficient ./configure etc
+# ignores the former.
+
+export CFLAGS = \
+ $(shell dpkg-buildflags --get CFLAGS) \
+ $(shell dpkg-buildflags --get CPPFLAGS)
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --mandir='$${prefix}/share/man'

=== debian/watch ===
version=3
http://os.ghalkes.nl/dist/dwdiff-([\d\.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## dwdiff 2.1.1

=== debian/changelog ===
dwdiff (2.1.1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk set up CC. (Closes: #900743)

  [ Barak A. Pearlmutter ]
  * Merge patch in above bug, thanks to Helmut Grohne
  * Move some remarks from comments into chatter in logs
  * Configure git-buildpackage
  * Swizzle packaging repo to salsa
  * Move to appropriate priority
  * Bump policy
  * Bump dh version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Jun 2018 14:35:18 +0100

dwdiff (2.1.1-2) unstable; urgency=medium

  * bump policy version
  * remove MIA uploader (closes: #873556)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Aug 2017 06:50:19 +0100

dwdiff (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * debheler 10
  * bump policy version
  * harden
  * patch some spelling errors
  * secure repo URLs

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Apr 2017 17:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: dwdiff
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Uploaders: Olexandr Kravchuk <sashko.debian@gmail.com>
-Build-Depends: debhelper (>= 9), libicu-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11), libicu-dev
+Standards-Version: 4.1.4
 Homepage: http://os.ghalkes.nl/dwdiff.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/dwdiff.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dwdiff.git
+Vcs-Git: https://salsa.debian.org/debian/dwdiff.git
+Vcs-Browser: https://salsa.debian.org/debian/dwdiff
 
 Package: dwdiff
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 # Use LINGUAS to force installation of all available linguas.
 
@@ -20,6 +20,10 @@
 # Glom CPPFLAGS onto CFLAGS because this deficient ./configure etc
 # ignores the former.
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+-include /usr/share/dpkg/buildtools.mk
+export CC
 export CFLAGS = \
  $(shell dpkg-buildflags --get CFLAGS) \
  $(shell dpkg-buildflags --get CPPFLAGS)
@@ -30,11 +34,10 @@
 override_dh_auto_build:
 	dh_auto_build -- LINGUAS="$(LINGUAS)"
 
-# Work around Makefile installing Changelog and COPYING into docdir.
-# Work around Makefile installing unneeded *.UTF-8 directories
-
 override_dh_auto_install:
 	dh_auto_install -- LINGUAS="$(LINGUAS)" docdir='$$(prefix)/share/doc/dwdiff'
+	echo "Work around Makefile installing Changelog and COPYING into docdir."
 	-rm --verbose debian/dwdiff/usr/share/doc/dwdiff/Changelog
 	-rm --verbose debian/dwdiff/usr/share/doc/dwdiff/COPYING
+	echo "Work around Makefile installing unneeded *.UTF-8 directories"
 	-rm --verbose -r debian/dwdiff/usr/share/man/*.UTF-8

## dwdiff 2.1.2

=== debian/changelog ===
dwdiff (2.1.2-2build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:36 +0100

dwdiff (2.1.2-2build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:56:26 +0100

dwdiff (2.1.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use a triplet-prefixed pkg-config. (Closes: #922408)

  [ Barak A. Pearlmutter ]
  * Accept patch
  * Tell gbp the upstream tarball is .xz
  * Bump policy version
  * Bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 15 Feb 2019 20:53:28 +0000

dwdiff (2.1.2-1) unstable; urgency=medium

  * New upstream version
    - which uses pkg-config instead of icu-config (closes: #916119)
  * Bump policy
  * Debian patches upstreamed; remove
  * Add build dependency on pkg-config

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Dec 2018 19:21:45 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11), libicu-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), libicu-dev, pkg-config
+Standards-Version: 4.3.0
 Homepage: http://os.ghalkes.nl/dwdiff.html
 Vcs-Git: https://salsa.debian.org/debian/dwdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/dwdiff

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 -include /usr/share/dpkg/buildtools.mk
 export CC
+export PKG_CONFIG ?= pkg-config
 export CFLAGS = \
  $(shell dpkg-buildflags --get CFLAGS) \
  $(shell dpkg-buildflags --get CPPFLAGS)

## dwdiff 2.1.3

=== debian/changelog ===
dwdiff (2.1.3-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:40:45 +0100

dwdiff (2.1.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines
  * Use secure URI in Homepage field

  [ Barak A. Pearlmutter ]
  * Use secure URI in debian/watch
  * Rules-Requires-Root: no
  * Bump to debhelper 13
  * Bump standards version to 4.5.0, no changes needed
  * New upstream version with GCC-10 fix (closes: #957158)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 18 Jul 2020 15:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: dwdiff
 Section: utils
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12), libicu-dev, pkg-config
-Standards-Version: 4.3.0
-Homepage: http://os.ghalkes.nl/dwdiff.html
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper-compat (= 13), libicu-dev, pkg-config
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://os.ghalkes.nl/dwdiff.html
 Vcs-Git: https://salsa.debian.org/debian/dwdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/dwdiff

=== debian/watch ===
version=3
https://os.ghalkes.nl/dist/dwdiff-([\d\.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## dwdiff 2.1.4

=== debian/changelog ===
dwdiff (2.1.4-2build3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:29:59 +0100

dwdiff (2.1.4-2build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:10 +0100

dwdiff (2.1.4-2build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:36:08 -0500

dwdiff (2.1.4-2) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 13 Mar 2022 16:50:43 -0000

dwdiff (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 13 Dec 2020 15:49:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dwdiff
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13), libicu-dev, pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://os.ghalkes.nl/dwdiff.html
 Vcs-Git: https://salsa.debian.org/debian/dwdiff.git
